//
// NewCustomerResponse.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct NewCustomerResponse: Codable {

    public enum CustomerContractType: String, Codable { 
        case free = "free"
        case demo = "demo"
        case pay = "pay"
    }
    /** Company name */
    public var companyName: String
    /** Customer type */
    public var customerContractType: CustomerContractType
    /** Maximal disc space which can be allocated by customer in bytes. */
    public var quotaMax: Int64
    /** Maximal number of users */
    public var userMax: Int
    /** First admin user of a customer */
    public var firstAdminUser: FirstAdminUser
    /** Determines if customer is locked */
    public var isLocked: Bool?
    /** Unique identifier for the customer */
    public var _id: Int64?
    /** Number of days left for trial period (relevant only for type &#x60;demo&#x60;) */
    public var trialDays: Int?
    /** Provider customer ID value (relevant only for type &#x60;pay&#x60;) */
    public var providerCustomerId: String?
    /** Creation date */
    public var createdAt: Date?
    /** Customer attributes */
    public var customerAttributes: CustomerAttributes?
    /** Maximal number of webhooks [Since v4.19.0] */
    public var webhooksMax: Int64?
    /** Customer UUID [Since v4.21.0] */
    public var customerUuid: String?


    public enum CodingKeys: String, CodingKey { 
        case companyName
        case customerContractType
        case quotaMax
        case userMax
        case firstAdminUser
        case isLocked
        case _id = "id"
        case trialDays
        case providerCustomerId
        case createdAt
        case customerAttributes
        case webhooksMax
        case customerUuid
    }


}

